Bug 486892 - qt4 does not use its own translated messages
qt4 does not use its own translated messages
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-22 18:56 EST by Muayyad Alsadi
Modified: 2009-02-24 09:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-22 19:02:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
test case in PyQt4, only a couple of lines (232 bytes, text/plain)
2009-02-22 18:56 EST, Muayyad Alsadi
no flags Details

  None (edit)
Description Muayyad Alsadi 2009-02-22 18:56:18 EST
Created attachment 332886 [details]
test case in PyQt4, only a couple of lines 

Description of problem:


Version-Release number of selected component (if applicable):
qt-4.4.3-10.fc10.i386

How reproducible:
always

Steps to Reproduce:
1. download the test case
2. type LC_ALL=fr_FR.UTF-8 python messagebox.py
  
Actual results:
English Yes/No

Expected results:
French Yes/No

Additional info:
this applies to any language not just French
rpm -ql qt | grep qt_.*\.qm
/usr/share/qt4/translations/qt_ar.qm
/usr/share/qt4/translations/qt_de.qm
/usr/share/qt4/translations/qt_es.qm
/usr/share/qt4/translations/qt_fr.qm
/usr/share/qt4/translations/qt_help_de.qm
/usr/share/qt4/translations/qt_help_pl.qm
/usr/share/qt4/translations/qt_help_zh_CN.qm
/usr/share/qt4/translations/qt_help_zh_TW.qm
/usr/share/qt4/translations/qt_iw.qm
/usr/share/qt4/translations/qt_ja_jp.qm
/usr/share/qt4/translations/qt_pl.qm
/usr/share/qt4/translations/qt_pt.qm
/usr/share/qt4/translations/qt_ru.qm
/usr/share/qt4/translations/qt_sk.qm
/usr/share/qt4/translations/qt_sv.qm
/usr/share/qt4/translations/qt_uk.qm
/usr/share/qt4/translations/qt_zh_CN.qm
/usr/share/qt4/translations/qt_zh_TW.qm

it's wasn't application specific
https://bugzilla.redhat.com/show_bug.cgi?id=477074
Comment 1 Kevin Kofler 2009-02-22 19:02:48 EST
Qt only loads translations if the application itself is translated. (KDE does the same, by the way.) You are not initializing i18n in your test application, so you do not get Qt translations either.
Comment 2 Muayyad Alsadi 2009-02-23 13:04:27 EST
thanks, I felt something wrong and I asked in both IRC channels Qt and fedora-devel and the later asked me to file a bug
Comment 3 Rex Dieter 2009-02-23 13:20:21 EST
It was me, sorry.  I should have asked you to stop by #fedora-kde too, but I had assumed the #qt folks would be more helpful. :(
Comment 4 Muayyad Alsadi 2009-02-24 09:20:39 EST
don't be sorry
it was a good experience to me, maybe now I could look in
https://bugzilla.redhat.com/show_bug.cgi?id=477074
to check if those things are initialized there

Note You need to log in before you can comment on or make changes to this bug.